package com.jkcredit.invoice.service.nocar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBillFileInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WayBillFileService {
    int insert(NoCarWayBillFileInfo noCarWayBillFileInfo);

    IPage<List<NoCarWayBillFileInfo>> selectAllFiles(Page page, @Param("noCarWayBillFileInfo")NoCarWayBillFileInfo noCarWayBillFileInfo);

    NoCarWayBillFileInfo selectFileInfo(String batchNum,String wayBillNum);

    NoCarWayBillFileInfo selectFileInfoNoFile(String batchNum,String wayBillNum);
    void migrateData1(NoCarWayBill noCarWayBill);
}
